%define plugin   epgsearch

Summary:        Powerful schedules menu replacement plugin for VDR
Name:           vdr-plugin-%plugin
Version:        2.4.2
Release:        %mkrel 2
Group:          Video/Utilities
License:        GPLv2+
URL:            https://github.com/vdr-projects/vdr-plugin-epgsearch

Source0:        https://github.com/vdr-projects/vdr-plugin-epgsearch/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

Source1:        %{name}.conf
Source2:        %{name}-epgsearchonly.conf
Source3:        %{name}-conflictcheckonly.conf
Source4:        %{name}-quickepgsearch.conf
Source5:        %{name}-epgsearchmenu.conf

Patch0:         %{name}-2.4.0-fedora.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  vdr-devel >= 2.6.0
Requires:   vdr-abi = %{vdr_abi}

%description
This plugin provides a powerful replacement for VDR's default
schedules menu entry.  It looks like the standard schedules menu, but
adds several functions, such as additional commands for EPG entries,
reusable queries which can be used as dynamic "search timers" etc.

%package -n %plugin-devel
Summary:        Development headers of epgsearch VDR plugin
Group:          Development/C++
Requires:       vdr-devel

%description -n %plugin-devel
Headers for developing plugins that will use services provided by
epgsearch.

%prep
%setup -q -n %{name}-%{version}

sed -e 's|__VARDIR__|%{vdr_vardir}|g' %{PATCH0} | %{__patch} -p1 --fuzz=0
for f in scripts/epgsearchcmds-french.conf conf/epgsearchcats.conf-tvm2vdr* ; do
    iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

chmod -x scripts/*
%vdr_plugin_prep

%build

mkdir -p %{buildroot}%_libdir/vdr
%vdr_plugin_build LDFLAGS="%vdr_plugin_ldflags" LIBDIR=%buildroot%_libdir/vdr

%install

%vdr_plugin_install
install -Dpm 644 %{SOURCE1} %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_vdr_plugin_cfgdir}/epgsearchonly.conf
install -Dpm 644 %{SOURCE3} %{buildroot}%{_vdr_plugin_cfgdir}/conflictcheckonly.conf
install -Dpm 644 %{SOURCE4} %{buildroot}%{_vdr_plugin_cfgdir}/quickepgsearch.conf

install -Dpm 644 %{SOURCE5} %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchmenu.conf
rm %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchcats.conf-* \
 %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchupdmail-html.templ

install -dm 755 %{buildroot}%_vdr_plugin_cachedir/%plugin

install -d -m755 %{buildroot}%{_includedir}/vdr/%{plugin}
install -m644 services.h %{buildroot}%{_includedir}/vdr/%{plugin}

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%license COPYING
%doc HISTORY conf/ scripts/
%lang(de) %doc HISTORY.DE
%config(noreplace) %{_vdr_plugin_cfgdir}/*.conf
%{_bindir}/createcats
%{_vdr_plugin_dir}/libvdr-*.so.%{vdr_apiversion}
%{_mandir}/man[145]/*.[145]*
%defattr(-,%{vdr_user},root,-)
%config(noreplace) %{_vdr_plugin_cfgdir}/epgsearch/
%_vdr_plugin_cachedir/%plugin

%files -n %plugin-devel
%{_includedir}/vdr/%{plugin}/


%changelog
* Wed Mar 29 2023 daviddavid <daviddavid> 2.4.2-2.mga9
+ Revision: 1950673
- revert back devel sub-pkg needed for vdr-plugin-live

* Mon Mar 27 2023 philippedidier <philippedidier> 2.4.2-1.mga9
+ Revision: 1950439
- new version 2.4.2 new patches rewritten spec file
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Dec 07 2020 luigiwalser <luigiwalser> 1.0.1-0.beta5.11.mga8
+ Revision: 1654071
- remove undefined macro

* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-0.beta5.10.mga8
+ Revision: 1517755
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-0.beta5.9.mga7
+ Revision: 1301580
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 wally <wally> 1.0.1-0.beta5.8.mga7
+ Revision: 1246364
- add upstream patch to fix build with -std=c++11
- don't own system man dirs

* Tue Feb 09 2016 umeabot <umeabot> 1.0.1-0.beta5.7.mga6
+ Revision: 951640
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 1.0.1-0.beta5.6.mga5
+ Revision: 808486
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 1.0.1-0.beta5.5.mga5
+ Revision: 798667
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-0.beta5.2.mga4
+ Revision: 545117
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.0.1-0.beta5.1.mga4
+ Revision: 499260
- new version 1.0.1.beta5

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 385261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 1.0.0-3.mga3
+ Revision: 325487
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.0.0-2.mga2
+ Revision: 221032
- fix build with VDR 1.7.25 (vdr-1.7.25.diff, from Gentoo)

* Sat Feb 25 2012 anssi <anssi> 1.0.0-1.mga2
+ Revision: 214783
- new version 1.0.0
- drop patches, applied upstream

* Sat May 14 2011 anssi <anssi> 0.9.24-5.mga1
+ Revision: 98430
- remove old scriptlets
- imported package vdr-plugin-epgsearch


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.9.24-4mdv2010.0
+ Revision: 402763
- enable graphtft support

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.9.24-3mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires
- fix build with gcc4.4 (const-char-gcc4.4.patch partially from upstream)

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.9.24-2mdv2009.1
+ Revision: 359704
- fix includes (includes.patch)
- rebuild for new vdr

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 0.9.24-1mdv2009.0
+ Revision: 205449
- new version

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.9.24-0.rc1.2mdv2009.0
+ Revision: 197924
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.9.24-0.rc1.1mdv2009.0
+ Revision: 197659
- 0.9.24-rc1
- add vdr_plugin_prep
- bump buildrequires on vdr-devel

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.9.23-3mdv2008.1
+ Revision: 145083
- rebuild for new vdr
- adapt for changed vdr optflags scheme

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.9.23-2mdv2008.1
+ Revision: 103089
- rebuild for new vdr

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 0.9.23-1mdv2008.0
+ Revision: 81919
- 0.9.23
- update URL
- build with pin plugin support
- adapt license tag to the new policy

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.9.21-5mdv2008.0
+ Revision: 49995
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.9.21-4mdv2008.0
+ Revision: 49908
- provide services.h in epgsearch-devel subpackage

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.9.21-3mdv2008.0
+ Revision: 42081
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.9.21-2mdv2008.0
+ Revision: 22748
- rebuild for new vdr

* Tue May 01 2007 Anssi Hannula <anssi@mandriva.org> 0.9.21-1mdv2008.0
+ Revision: 19868
- 0.9.21
- provide more scripts in bindir


* Fri Mar 02 2007 Anssi Hannula <anssi@mandriva.org> 0.9.20-1mdv2007.0
+ Revision: 130878
- 0.9.20

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.9.19-2mdv2007.1
+ Revision: 90916
- rebuild for new vdr

* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 0.9.19-1mdv2007.1
+ Revision: 76359
- 0.9.19
- update filelist and configuration file

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17d-5mdv2007.1
+ Revision: 73996
- rebuild for new vdr
- Import vdr-plugin-epgsearch

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17d-4mdv2007.0
- rebuild for new vdr

* Fri Aug 25 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17d-3mdv2007.0
- fix mangled description

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17d-2mdv2007.0
- stricter abi requires

* Wed Aug 09 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17d-1mdv2007.0
- 0.9.17d

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17c-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17c-2mdv2007.0
- rebuild for new vdr

* Tue Jul 11 2006 Anssi Hannula <anssi@mandriva.org> 0.9.17c-1mdv2007.0
- initial Mandriva release

